Bank
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.BankenDaten

## Class Bank

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.BankenDaten.Bank

-     public class Bank
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `bezeichnung`
    `private java.lang.String` | `bic`
    `private java.lang.String` | `blz`
    `private java.lang.String` | `hinweisloeschung`
    `private java.lang.String` | `ibanregel`
    `private java.lang.String` | `land`
    `private java.lang.String` | `pruefziffernmethode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bank(java.lang.String land, java.lang.String bezeichnung, java.lang.String blz, java.lang.String bic, java.lang.String pruefziffernmethode, java.lang.String ibanregel, java.lang.String hinweisloeschung)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBezeichnung()`
    `java.lang.String` | `getBIC()`
    `java.lang.String` | `getBLZ()`
    `java.lang.String` | `getHinweisloeschung()`
    `java.lang.String` | `getIBANRegel()`
    `java.lang.String` | `getLand()`
    `java.lang.String` | `getPruefziffernmethode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### land

          private java.lang.String land

    - #### bezeichnung

          private java.lang.String bezeichnung

    - #### blz

          private java.lang.String blz

    - #### bic

          private java.lang.String bic

    - #### pruefziffernmethode

          private java.lang.String pruefziffernmethode

    - #### ibanregel

          private java.lang.String ibanregel

    - #### hinweisloeschung

          private java.lang.String hinweisloeschung

  - ### Constructor Detail

    - #### Bank

          public Bank(java.lang.String land,
              java.lang.String bezeichnung,
              java.lang.String blz,
              java.lang.String bic,
              java.lang.String pruefziffernmethode,
              java.lang.String ibanregel,
              java.lang.String hinweisloeschung)

  - ### Method Detail

    - #### getLand

          public java.lang.String getLand()

    - #### getBezeichnung

          public java.lang.String getBezeichnung()

    - #### getBLZ

          public java.lang.String getBLZ()

    - #### getBIC

          public java.lang.String getBIC()

    - #### getPruefziffernmethode

          public java.lang.String getPruefziffernmethode()

    - #### getIBANRegel

          public java.lang.String getIBANRegel()

    - #### getHinweisloeschung

          public java.lang.String getHinweisloeschung()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`